#
# spec file for package f3
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           f3
Version:        7.0
Release:        lp150.1.2
Summary:        Fight Flash Fraud / Fight Fake Flash
License:        GPL-3.0
Group:          Hardware/Other
Url:            http://oss.digirati.com.br/f3/
Source:         https://github.com/AltraMayor/f3/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         remove-ownership-setting.patch
BuildRequires:  libudev-devel
BuildRequires:  parted-devel

%description
This package contains tools for identifying fake flash drives (primarily USB
sticks and memory cards).

A fake flash drive fraudulently inflates its apparent storage capacity (far)
beyond the physical capacity of its flash memory. Not surprisingly, using such
a flash drive will, sooner or later, result in data loss and/or corruption.

The main tools in this package are an open-source implementation of the H2testw
algorithm. Some extra tools are also provided, among them one for using
the actual storage capacity of fake drives as safely as possible.

%prep
%setup -q
%patch0

%build
# workaround for libargp problem. see:
# https://github.com/AltraMayor/f3/issues/34#issuecomment-168775122
%if %{?suse_version} < 1500
export CFLAGS="%{optflags} -fgnu89-inline"
%else
export CFLAGS="%{optflags}"
%endif
make %{?_smp_mflags} all extra

mkdir examples
mv log-f3wr f3write.h2w examples
chmod a-x examples/*

%install
%make_install PREFIX=%{_prefix} install-extra
# 

%files
%doc changelog README.rst LICENSE examples
%{_bindir}/f3read
%{_bindir}/f3write
%{_sbindir}/f3probe
%{_sbindir}/f3brew
%{_sbindir}/f3fix
%{_mandir}/man1/f3read.1%{ext_man}
%{_mandir}/man1/f3write.1%{ext_man}

%changelog
* Wed Feb  7 2018 seroton10@gmail.com
- Fix build for Leap 42.2 and SLE12.
* Sat Feb  3 2018 avindra@opensuse.org
- update to 7.0:
  * stable version of f3probe, f3fix, and f3brew
  * f3write: improved write speed and dealing with write failures
- cleanup with spec-cleaner
- add remove-ownership-setting.patch
* Thu Feb 16 2017 t.gruner@katodev.de
- update to the latest commit 53772d3
- remove man-www-ref.patch
* Fri Jan 22 2016 seroton10@gmail.com
- Added man-www-ref.patch (accepted upstream, commit cbe8d61)
* Tue Jan 19 2016 seroton10@gmail.com
- Initial package of f3 version 6.0
